.userForm {
  width: 550px;
  height: auto;
  margin: auto;
  padding: 40px 40px 40px 40px;
  border: 1px solid rgba(0, 0, 0, 0.3);
  box-shadow: 0 0 2px 3px rgba(0, 0, 0, 0.2);
  border-radius: 1px;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 1em;
}

.userForm .inputGroup input {
  width: 10px;
  margin-top: 5px;
  margin-right: 5px;
  margin-bottom: 5px;
  grid-template-columns: repeat(1, 1fr);
}

.inputGroup {
  display: flex;
  padding-bottom: 5px;
}
  
.firstName, .lastName, .age, .favColor, .notes, input, select, textarea {
  display: grid;
  grid: auto / auto auto;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 10px;
  grid-column-start: 2;
  grid-column-end: 5;
}

.favColor select, .firstName input, .lastName input, .age input {
  padding: 1px 2px;
  height: 26px;
  margin: 3px;
  font-size: 14px;
}

.sauceGroup {
  margin-left: 95px; 
  display: "inline-block";
}

.sauces {
  padding-top: 10px;
  position: relative;
  width: 100%;
  display: flex;
}

.stooge {
  padding-top: 10px;
  display: flex;
}

.stoogeGroup {
  margin-left: 63px; 
  display: "inline-block";
}

input, select {
  width: auto;
  border-radius: 3px;
  border: 1px solid #ccc;
  box-sizing: content-box;
}

.notes {
  padding-top: 10px;
  display: grid;
  height: 40px;
  width: 100%;
  border-radius: 3px;
  border: 1px #ccc;
}

textarea {
  border-color: #ccc;
  color: grey;;
}

.errBorder {
  border-color: red;
}

.outputBox {
  margin-top: 15px;
  margin-bottom: 15px;
  padding: 10px;
  width: auto;
  min-height: 150px;
  background-color: #ccc;
  border-radius: 3px;
  border: 2px grey;
  box-sizing: border-box;
}

.buttons {
  display: flex;
  align-items: center;
  justify-content: center;
}

.buttons button {
  margin: 10px;
  border-radius: 5px;
  align-items: center;
  border: 0;
  width: 80px;
  height: 30px;
  font-size: 1rem;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  text-align: center;
}
button:disabled {
  opacity: .7;
}

pre {
  white-space: pre-wrap;
}